Subject: Re: [PATCH resend] Renesas Ethernet AVB driver

From: Richard Cochran <[email-masked]>
Date: Tue, 14 Apr 2015 20:30:01 +0200

On Tue, Apr 14, 2015 at 07:58:18PM +0300, Sergei Shtylyov wrote:
> 
>    I tried to explain to you that I can't. We enter the device
> configuration mode (from the operation mode) when e.g. the
> *Ethernet* device is closed.

Is this a hardware restriction?

Logically speaking, the clock has nothing to do with the state of the
Ethernet interface.  If the clock keeps ticking and you can access
it, then there is no reason to return EBUSY just because the interface
is down.

Thanks,
Richard